import javax.swing.JButton;
import javax.swing.border.LineBorder;
import javax.swing.border.TitledBorder;
import java.awt.*;

public class JButtonList extends JButton {
	
	public int col=-1;
	
	public Cell cellbottom = null;
	
	public JButtonList(String caption, int col){
		super(caption);
		this.col=col; // only for the tests
	  	setBorder( new TitledBorder( LineBorder.createBlackLineBorder()) );		
	}
	
	public void click(Color color) {
		playgame(color);
	}  // click
	
	
	// playgame method should be alone, not in click
	public void playgame(Color color) {
		System.out.println("bn: "+col);
		cellbottom.click(color); // start with the cell on the bottom
	}
	
	public NumbersPlayerChips checkVertical() {
		System.out.println("vertical start");
		NumbersPlayerChips np = cellbottom.checkVertical();
		System.out.println("vertical ende");
		return np;
	}
	
	public NumbersPlayerChips checkHorizontal() {
		System.out.println("Horizontal start");
		NumbersPlayerChips np =cellbottom.checkHorizontal(true); 
		System.out.println("Horizontal ende");
		return np;
	}
	
	// top/left  ->  bottom/right
	public NumbersPlayerChips checkDiagonale1() {
		System.out.println("Diagonal1 start");
		NumbersPlayerChips np = cellbottom.checkDiagonals1(true);
		System.out.println("Diagonal1 ende");
		return np;
	}

	// top/right  ->  bottom/left
	public NumbersPlayerChips checkDiagonale2() {
		System.out.println("Diagonal2 start");
		NumbersPlayerChips np = cellbottom.checkDiagonals2(true);
		System.out.println("Diagonal2 ende");
		return np;
	}
	
	

}
